> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Reassign device organization

> Reassign device(s) to a different organization. Only devices which hardware is controlled by the partner can be reassigned



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/partner/reassignDeviceOrg
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/partner/reassignDeviceOrg:
    post:
      tags:
        - Partner Webservice
      summary: Reassign device organization
      description: >-
        Reassign device(s) to a different organization. Only devices which
        hardware is controlled by the partner can be reassigned
      operationId: reassignDeviceOrg
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: partner-api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: partner-api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Partner_ReassignDeviceOrgWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Partner_ReassignDeviceOrgWSResponse'
          description: OK
components:
  schemas:
    Partner_ReassignDeviceOrgWSRequest:
      type: object
      description: Request object for reassigning devices from one organization to another.
      properties:
        serialNumbers:
          type: array
          description: >-
            Serial numbers of the devices that should be reassigned to target
            organization
          items:
            type: string
            description: >-
              Serial numbers of the devices that should be reassigned to target
              organization
            nullable: true
          nullable: true
        sourceOrgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        targetOrgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
      required:
        - sourceOrgUuid
        - targetOrgUuid
    Partner_ReassignDeviceOrgWSResponse:
      type: object
      description: Response object containing the status of device reassignment operations.
      properties:
        statuses:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/OperationStatus'
          description: Map of device serial numbers to their reassignment operation status
          nullable: true
    OperationStatus:
      type: object
      description: Map of device serial numbers to their reassignment operation status
      properties:
        message:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/StatusTypeEnum'
    StatusTypeEnum:
      type: string
      enum:
        - SUCCESS
        - FAILURE
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````